# JStrack:  copyright 1997/2010 by Jim Graham, N5IAL, all rights reserved.
#

# City (and other NHC breakpoint) Selection (for plotting on chart)
#
# THIS CAPABILITY IS STILL VERY MUCH UNDER DEVELOPMENT....
# Be careful how many location names you display---too many will make
# some areas so cluttered you can't read any of the names.
#
# All lines in this file which begin with '#' are comments
# To add a comment after a new_city command, you must use ";#" (w/o the
# quotes) ... otherwise, the '#' will be considered another argument to
# be passed to new_city, and will cause an error.
#
# Non-commented/non-blank lines in this file must follow an exact format:
#
# addcity "location name"
#       OR
# laddcity "location name"
#
# The first (addcity) adds a city/location to the list, and its name is
# plotted to the right of the '*'.
#
# The second (laddcity) does the same, but plots the name to the left.
#
# This allows you to decide where to put the names to reduce clutter
# while, at the same time, allowing for more locations to be named.

# Select cities/locations by copying them from the list at the bottom,
# copy them to the section for the map in question, and uncomment them
# (i.e., remove the leading "# ")

# This variable tells us which map is currently in use when this file is
# scanned/re-scanned (remember, updates to this file do not require you
# to restart JStrack---only use the
# "Plot City Names/Update Plotted Names" option under the Options menu.

global currmap

# ######################################## #
# Selected cities for the Overall/full map #
# ######################################## #

if {$currmap == "full_overall"} {
   # Texas
      addcity "Brownsville"
      laddcity "College Station"
      addcity "Corpus Christi"
      addcity "Houston"
      laddcity "San Antonio"
   # Florida
      addcity "Fort Pierce"
      addcity "Key West"
      addcity "Miami"
      addcity "Panama City"
      laddcity "Tampa"
   # Georgia
      addcity "Altamaha Sound"
   # South Carolina
      addcity "Edisto Beach"
      addcity "Murrells Inlet"
   # Maine
      addcity "Eastport"
   # Maryland
      addcity "Chesapeake Bay North Beach"
   # Mass.
      laddcity "Woods Hole"
   # North Carolina
      addcity "Cape Hatteras"
      addcity "New River Inlet"
   # New Hampshire
      addcity "Portsmouth"
   # New York
      addcity "Port Jefferson Harbor"
   # Virginia
      addcity "Chesapeake Bay Windmill Point"
   #
   # outside of continental US
   #
      addcity "Santo Domingo, DR"
   # Mexico
      addcity "Campeche, MX"
      laddcity "Cancun, MX"
      laddcity "Tampico, MX"
      laddcity "Veracruz, MX"
   #
   # Other locations
   #
      laddcity "Belize City, BH"
      laddcity "Jamaica (all)"
      addcity "Turks and Caicos, TI"
      laddcity "Grand Cayman, GC"
      laddcity "Bermuda, BE"
      laddcity "Virgin Is. (U.S.)"
      addcity "Bahamas (Central)"
      addcity "Puerto Rico Northeast"
      addcity "Limon, HO"
      laddcity "Border of Hon/Nic"
} ;# DO NOT DELETE THIS LINE --- End of entries for Overall/Full  map


if {$currmap == "carib"} {
      addcity "Belize City, BH"
      laddcity "Grand Cayman, GC"
      addcity "Puerto Rico Northeast"
      addcity "Bahamas (Central)"
      laddcity "Limon, HO"

      addcity "Virgin Is. (U.S.)"
#     addcity "Virgin Is. (British)"
#     laddcity "St. Mart/St. Bart/Anguilla, AA"
      addcity "Antigua/Barbuda, AD"
      laddcity "Saba/Nevis/StKitt/StE/Montserrat, KM"
      laddcity "Guadeloupe, GP"
      laddcity "Dominica, DO"
      laddcity "Martinique, MR"
#     laddcity "Barbados, BR"
      addcity "Grenadines/St. Vincent, GV"
      laddcity "Grenada, GD"
      addcity "Trinidad, TD"
      addcity "Tobago, TD"
#     addcity "Bay of Campeche" 
      addcity "Cuba (CU)"
      laddcity "Aruba, Bonaire, Curacao, AC"
      laddcity "Border of Hon/Nic"
      addcity "Turks and Caicos, TI"
      laddcity "Grenadines/St. Vincent, GV"

      addcity "Haiti (HA)"
      addcity "Dominican Republic (DR)"
      laddcity "Jamaica (all)"
#     laddcity "Port-Au-Prince, HA"
   # Mexico
      addcity "Campeche, MX"
      laddcity "Cancun, MX"
} ;# DO NOT DELETE THIS LINE --- End of entries for Caribbean  map



# ###################################### #
# Selected cities for the Gulf Coast map #
# ###################################### #

if {$currmap == "gulf_coast"} {
   # Texas
      addcity "Brownsville"
      laddcity "College Station"
      addcity "Corpus Christi"
      addcity "Galveston"
      addcity "Houston"
      addcity "Port OConnor"
      laddcity "San Antonio"
   # Florida
      addcity "Bonita Beach"
      addcity "Cocoa Beach"
      addcity "Fort Pierce"
      addcity "Jupiter Inlet"
      addcity "Key West"
      addcity "Miami"
      addcity "Panama City"
      addcity "St Augustine"
      addcity "Suwannee River"
      addcity "Tallahassee"
      laddcity "Tampa"
   # Georgia
      addcity "Altamaha Sound"
      addcity "Savannah River"
   # South Carolina
      addcity "Edisto Beach"
      addcity "Little River Inlet"
      addcity "Murrells Inlet"
      addcity "South Santee River"
   # Louisiana
      addcity "New Orleans"
   #
   # outside of continental US
   #
      addcity "Santo Domingo, DR"
   # Mexico
      laddcity "Campeche, MX"
      laddcity "Cancun, MX"
      laddcity "Tampico, MX"
      laddcity "Veracruz, MX"
   #
   # Other locations
   #
      addcity "Belize City, BH"
      laddcity "Jamaica (all)"
      addcity "Turks and Caicos, TI"
      addcity "Grand Cayman, GC"
      laddcity "Bermuda, BE"
      laddcity "Port-Au-Prince, HA"
      addcity "Virgin Is. (U.S.)"
      addcity "Bahamas (Central)"
      addcity "Puerto Rico Northeast"
      laddcity "Isle of Youth (Cuba), CU"
      addcity "Limon, HO"
      addcity "Border of Hon/Nic"

} ;# DO NOT DELETE THIS LINE --- End of entries for Gulf Coast map



# ###################################### #
# Selected cities for the East Coast map #
# ###################################### #

if {$currmap == "east_coast"} {
   # Florida
      addcity "Panama City"
   # Georgia
      addcity "Altamaha Sound"
   # South Carolina
      addcity "Edisto Beach"
      addcity "Murrells Inlet"
   # Maine
      addcity "Eastport"
   # Maryland
      addcity "Chesapeake Bay North Beach"
   # Mass.
      addcity "Woods Hole"
   # North Carolina
      addcity "Cape Hatteras"
      addcity "New River Inlet"
   # New Hampshire
      addcity "Portsmouth"
   # New York
      addcity "Port Jefferson Harbor"
   # Virginia
      addcity "Chesapeake Bay Windmill Point"
   #
   # outside of continental US
      laddcity "Bermuda, BE"
} ;# DO NOTE DELETE THIS LINE --- End of entries for the East Coast map




# ####################################################### #
#                                                         #
# The rest will NOT be loaded (as long as they are within #
# the "if {0}".                                           #
#                                                         #
# Copy lines from this listing to the section for the map #
# you're configuring the city names for.                  #
#                                                         #
# DO NOT DELETE ANYTHING IN THE SECTION BELOW.            #
#                                                         #
# ####################################################### #

if {0} {
   # I added the following entries using coords from external references:
   #
   # addcity "Galveston"
   # addcity "Houston"
   # addcity "Port Arthur"
   # addcity "San Antonio"
   #
   # addcity "New Orleans"
   #
   # addcity "Miami"
   # addcity "Pensacola"
   # addcity "Tallahassee"
   # addcity "Tampa"

   # INCOMING from NHC/TPC Breakpoints

   # United States

   # Conn.

   # addcity "New Haven"

   # Delaware

   # addcity "Cape Henlopen"
   # addcity "Delaware Bay North Sl B to E Pt"
   # addcity "Delaware Bay South Sl B to E Pt"

   # Florida

   # addcity "Anclote Key"
   # addcity "Anna Maria Island"
   # addcity "Apalachicola"
   # addcity "Aucilla River"
   # addcity "Bayport"
   # addcity "Boca Grande"
   # addcity "Boca Raton"
   # addcity "Card Sound Bridge"
   # addcity "Chokoloskee"
   # addcity "Cocoa Beach"
   # addcity "Craig Key"
   # addcity "Deerfield Beach"
   # addcity "Destin"
   # addcity "Dry Tortugas"
   # addcity "Dry Tortugas Island"
   # addcity "East Cape Sable"
   # addcity "Englewood"
   # addcity "Fernandina Beach"
   # addcity "Flagler Beach"
   # addcity "Flamingo"
   # addcity "Florida Bay"
   # addcity "Fort Pierce"
   # addcity "Golden Beach"
   # addcity "Hallandale Beach"
   # addcity "Indian Pass"
   # addcity "Keaton Beach"
   # addcity "Key Largo"
   # addcity "Key West"
   # addcity "Lake Okeechobee"
   # addcity "Longboat Key"
   # addcity "New Smyrna Beach"
   # addcity "Ocean Reef"
   # addcity "Ochlockonee River"
   # addcity "Panama City"
   # addcity "Sebastian Inlet"
   # addcity "Seven Mile Bridge"
   # addcity "St Augustine"
   # addcity "St Marks"
   # addcity "Steinhatchee River"
   # addcity "Stuart"
   # addcity "Suwannee River"
   # addcity "Tarpon Springs"
   # addcity "Titusville"
   # addcity "Vero Beach"
   # addcity "Yankeetown"

   # Georgia

   # addcity "Altamaha Sound"
   # addcity "Savannah River"

   # Louisiana

   # addcity "Cameron"
   # addcity "Grand Isle"
   # addcity "Intracoastal City"
   # addcity "Morgan City"
   # addcity "Mouth Mississippi River"
   # addcity "Mouth Pearl River"

   # Mass.

   # addcity "Chatham"
   # addcity "Gloucester"
   # addcity "Merrimack River"
   # addcity "Plymouth"
   # addcity "Westport"
   # addcity "Woods Hole"

   # Maryland

   # addcity "Chesa Bay North of Pooles Islnd"
   # addcity "Chesapeake Bay Drum Point"
   # addcity "Chesapeake Bay North Beach"
   # addcity "Chesapeake Bay Pooles Island"
   # addcity "Chesapeake Bay Sandy Point"
   # addcity "Tidal Potomac Cobb Island"
   # addcity "Tidal Potomac Indian Head"
   # addcity "Tidal Potomac Key Bridge"

   # Maine

   # addcity "Bar Harbor"
   # addcity "Eastport"
   # addcity "Portland ME"
   # addcity "Rockland"
   # addcity "Stonington ME"

   # Mississippi

   # addcity "Pascagoula"

   # North Carolina

   # addcity "Albemarle Sound"
   # addcity "Bogue Inlet"
   # addcity "Cape Fear"
   # addcity "Cape Hatteras"
   # addcity "Cape Lookout"
   # addcity "Duck"
   # addcity "New River Inlet"
   # addcity "Ocracoke Inlet"
   # addcity "Oregon Inlet"
   # addcity "Pamlico Sound"
   # addcity "Surf City NC"

   # New Hampshire

   # addcity "Portsmouth"

   # New Jersey

   # addcity "Cape May"
   # addcity "Great Egg Inlet"
   # addcity "Little Egg Inlet"
   # addcity "Manasquan Inlet"
   # addcity "Sandy Hook"

   # New York

   # addcity "Fire Island Inlet"
   # addcity "Montauk Point"
   # addcity "Moriches Inlet"
   # addcity "Port Jefferson Harbor"

   # Rhode Island

   # addcity "Point Judith"
   # addcity "Watch Hill"

   # South Carolina

   # addcity "Edisto Beach"
   # addcity "Little River Inlet"
   # addcity "Murrells Inlet"
   # addcity "South Santee River"

   # Texas

   # addcity "Baffin Bay"
   # addcity "Brownsville"
   # addcity "College Station"
   # addcity "Corpus Christi"
   # addcity "Freeport"
   # addcity "High Island"
   # addcity "Matagorda"
   # addcity "Port Aransas"
   # addcity "Port Mansfield"
   # addcity "Port OConnor"
   # addcity "Sabine Pass"
   # addcity "San Luis Pass"
   # addcity "Sargent"

   # Virginia

   # addcity "Cape Charles Light"
   # addcity "Chesapeake Bay New Point Comfort"
   # addcity "Chesapeake Bay Smith Point"
   # addcity "Chesapeake Bay Windmill Point"
   # addcity "Chincoteague"
   # addcity "Parramore Island"

   # ----------------------------------------------------

   # Puerto Rico (PU)

   # addcity "Puerto Rico East Central"
   # addcity "Puerto Rico North Central"
   # addcity "Puerto Rico Northeast"
   # addcity "Puerto Rico Northwest"
   # addcity "Puerto Rico South Central"
   # addcity "Puerto Rico Southeast"
   # addcity "Puerto Rico Southwest"
   # addcity "Puerto Rico West Central"

   # ----------------------------------------------------

   # Bahamas

   # addcity "Bahamas (Andros only)"
   # addcity "Bahamas (Central)"
   # addcity "Bahamas (NW not Andros)"
   # addcity "Bahamas (Southeast)"

   # ----------------------------------------------------

   # Mexico (MX)

   # addcity "Acapulco, MX"
   # addcity "Agua Blanca, MX"
   # addcity "Altata, MX"
   # addcity "Bahia Algodones, MX"
   # addcity "Bahia De Los Angeles, MX"
   # addcity "Bahia Kino, MX"
   # addcity "Bahia Magdalena, MX"
   # addcity "Bahia San Juan Bautista, MX"
   # addcity "Barra De Nautla, MX"
   # addcity "Barra De Tonala, MX"
   # addcity "Boca De Pijijiapan, MX"
   # addcity "Buenavista, MX"
   # addcity "Cabo Catoche, MX"
   # addcity "Cabo Colnett, MX"
   # addcity "Cabo Corrientes, MX"
   # addcity "Cabo Rojo, MX"
   # addcity "Cabo San Lucas, MX"
   # addcity "Calamajue, MX"
   # addcity "Campeche, MX"
   # addcity "Cancun, MX"
   # addcity "Celestun, MX"
   # addcity "Chetumal, MX"
   # addcity "Chilitepec, MX"
   # addcity "Ciudad Del Carmen, MX"
   # addcity "Coatzacoalcos, MX"
   # addcity "El Pocito, MX"
   # addcity "El Roblito, MX"
   # addcity "Guaymas, MX"
   # addcity "Huatabampito, MX"
   # addcity "La Cruz, MX"
   # addcity "La Cruz W, MX"
   # addcity "La Fortuna, MX"
   # addcity "La Paz, MX"
   # addcity "La Pesca, MX"
   # addcity "Lagunas De Chacahua, MX"
   # addcity "Lazaro Cardenas, MX"
   # addcity "Loreto, MX"
   # addcity "Manzanillo, MX"
   # addcity "Mazatlan, MX"
   # addcity "Mulege, MX"
   # addcity "Palma Sola, MX"
   # addcity "Progresso, MX"
   # addcity "Puerto Angel, MX"
   # addcity "Puerto Libertad, MX"
   # addcity "Puerto Penasco, MX"
   # addcity "Puerto San Andresito, MX"
   # addcity "Punta Abreojos, MX"
   # addcity "Punta Allen, MX"
   # addcity "Punta Baja, MX"
   # addcity "Punta El Lagarto, MX"
   # addcity "Punta Eugenia, MX"
   # addcity "Punta Gruesa, MX"
   # addcity "Punta Maldonado, MX"
   # addcity "Punta San Telmo, MX"
   # addcity "Punta Xochen, MX"
   # addcity "Rio San Fernando, MX"
   # addcity "Salina Cruz, MX"
   # addcity "San Blas, MX"
   # addcity "San Evaristo, MX"
   # addcity "San Felipe, MX"
   # addcity "San Felipe W, MX"
   # addcity "San Jose De Las Palomas, MX"
   # addcity "Santa Fe, MX"
   # addcity "Tampico, MX"
   # addcity "Tecpan De Galeana, MX"
   # addcity "Topolobampo, MX"
   # addcity "Tulum, MX"
   # addcity "Tuxpan, MX"
   # addcity "Veracruz, MX"
   # addcity "Zihuatanejo, MX"

   # ----------------------------------------------------

   # Cuba (CU)

   # addcity "Cabo San Antonio, CU"
   # addcity "Camaguey/Ciego de Avila, CU"
   # addcity "Camaguey/Las Tunas, CU"
   # addcity "Ciego de Avila/Camaguey, CU"
   # addcity "Ciego de Avila/Sancti Spiritus, CU"
   # addcity "Cienfuegos/Matanzas, CU"
   # addcity "Ciudad de la Habana/La Habana, CU"
   # addcity "Granma/Las Tunas, CU"
   # addcity "Guantanamo/Santiago de Cuba, CU"
   # addcity "Holguin/Guantanamo, CU"
   # addcity "Isle of Youth (Cuba), CU"
   # addcity "La Habana/Ciudad de la Habana, CU"
   # addcity "La Habana/Matanzas, CU"
   # addcity "La Habana/Pinar del Rio, CU"
   # addcity "Las Tunas/Camaguey, CU"
   # addcity "Las Tunas/Holguin, CU"
   # addcity "Matanzas/La Habana, CU"
   # addcity "Matanzas/Villa Clara, CU"
   # addcity "Pinar del Rio/La Habana, CU"
   # addcity "Punta Maisi, CU"
   # addcity "Sancti Spiritus/Ciego de Avila, CU"
   # addcity "Sancti Spiritus/Cienfuegos, CU"
   # addcity "Santiago de Cuba/Granma, CU"
   # addcity "Villa Clara/Sancti Spiritus, CU"


   # ----------------------------------------------------

   # Haiti (HA)

   # addcity "Anse d'Hainault (sw tip Haiti), HA"
   # addcity "Gonaives, HA"
   # addcity "Le Mole St Nicholas (nw tip Hti), HA"
   # addcity "Port-Au-Prince, HA"

   # ----------------------------------------------------

   # Jamaica (JM)

   # addcity "Jamaica (all)"
   # addcity "Jamaica (north coast)"
   # addcity "Jamaica (south coast)"

   # ----------------------------------------------------

   # Virgin Islands

   # addcity "Virgin Is. (British)"
   # addcity "Virgin Is. (U.S.)"

   # ----------------------------------------------------

   # Venezuela (VN)

   # addcity "Caracas, VN"
   # addcity "Cumana, VN"
   # addcity "Pedernales, VN"
   # addcity "Pen de Paraguana, VN"
   # addcity "Venezuela (Isla de Margarita), VN"

   # Other NHC breakpoints

   # addcity "St. Mart/St. Bart/Anguilla, AA"
   # addcity "Aruba, Bonaire, Curacao, AC"
   # addcity "Antigua/Barbuda, AD"
   # addcity "Bermuda, BE"
   # addcity "Belize City, BH"
   # addcity "Barbados, BR"
   # addcity "Barranquilla, CO"
   # addcity "Dominica, DO"
   # addcity "Barahona, DR"
   # addcity "Cabo Beata, DR"
   # addcity "Cabo Engano, DR"
   # addcity "Cabo Frances Viejo, DR"
   # addcity "Isla Saona, DR"
   # addcity "Puerto Plata, DR"
   # addcity "Samana, DR"
   # addcity "Grand Cayman, GC"
   # addcity "Little Cayman, Cayman Brac, GC"
   # addcity "Grenada, GD"
   # addcity "Guadeloupe, GP"
   # addcity "P. Barrios, GU"
   # addcity "Sipacate, GU"
   # addcity "Grenadines/St. Vincent, GV"
   # addcity "Georgetown, GY"
   # addcity "Limon, HO"
   # addcity "Saba/Nevis/StKitt/StE/Montserrat, KM"
   # addcity "St. Lucia, LC"
   # addcity "Martinique, MR"
   # addcity "Bluefields, NK"
   # addcity "P. Cabezas, NK"
   # addcity "Colon, PM"
   # addcity "Punta Mariato, PM"
   # addcity "San Andres, SS"
   # addcity "Tobago, TD"
   # addcity "Trinidad, TD"
   # addcity "Turks and Caicos, TI"



   # Borders (used as watch/warning breakpoints)

   # addcity "AL/FL border"
   # addcity "MS/AL border"
   # addcity "NC/VA border"
   # addcity "Border of CR/Pan"
   # addcity "Border of Col/Ven"
   # addcity "Border of Hon/Nic"
   # addcity "Border of Nic/CR"
   # addcity "Border of Pan/Col"
   # addcity "Border of Ven/Guy"
   # addcity "CA/Baja CA border"
   # addcity "Costa Rica/Panama border"
   # addcity "El Salvador/Honduras border"
   # addcity "Guatemala/El Salvador border"
   # addcity "Honduras/Nicaragua border"
   # addcity "MX/Guatemala border"
   # addcity "Nicaragua/Costa Rica border"
   # addcity "Panama/Colombia border"
   # addcity "Texas/Mexico border"
   # addcity "Northern border Dom. Rep/Haiti"
   # addcity "Southern border Dom. Rep/Haiti"
}


